      subroutine convert_to_state(u, v, phi, x, n, m, nt, k)

!     Convert from shallow-water equation variables u,v,phi to 
!     control variable x.  The values to be stored in x are in 
!     u(:,:,1), v(:,:,1), phi(:,:,1).  The data in x is stored
!     first with all the values of u, followed by the values of 
!     v, followed by the values of phi.

      implicit none

! size parameters
      integer, intent(in) :: n, m, nt, k

! control variable
      double precision, intent(inout) :: x(*)

! state variables
      double precision, intent(in), dimension(n,m,nt) :: u, v, phi

! local variables
      integer :: i, j, jidc1, jidc2, jidc3

      do 1370 j = 2, m-1
          do 1371 i = 2, n-1
              jidc1 = i-1 + (j - 2)*(n-2)
              jidc2 = jidc1 + (n-2)*(m-2)
              jidc3 = jidc2 + (n-2)*(m-2)
              x(jidc1) = u(i, j, k)
              x(jidc2) = v(i, j, k)
              x(jidc3) = phi(i, j, k)
1371      continue
1370  continue

      return
      end
